#!/bin/sh

tmpFile=tmp$$
trap "/bin/rm -rf $tmpFile; exit" 0 1 2 15

for f in $*
do
   gawk '
  {
     for(i = 1 ; i <= NF ; ++i)
     {
       printf("%8.5f ", $i)
     }
     printf("\n")
   }
   ' $f > $tmpFile

   mv -f $tmpFile $f
done
